function CCW=calculateCCWindow(ARG,windowSize,windowStep)
% Функція для роботи - обрахування середнього значення C по вікнам шириною
% windowSize та кроком windowStep (без врахування діагональних значень)

% Матриця повинна бути - фірми по рядкам
[m,n]=size(ARG);

% кількість точок
count=n-windowSize+1;
count=fix(count/windowStep)+1;
CCW=zeros(1,count);
S=zeros(m,windowSize);
i=1;
index=1;
% безпосередньо обрахування по вікнам та запис у вектор
while i+windowSize-1<n
    S=ARG(:,i:i+windowSize-1);
    C=buildC(S);
    i=i+windowStep;
    CCW(1,index)=(sum(sum(C))-m)/(m*(m-1));
    index=index+1;
end
CCW=CCW(1,1:index-1);